View Issue Details

IDProjectCategoryView StatusLast Update
0002222ScribusImport / Exportpublic2006-09-04 11:22
ReporterDoctorMO Assigned Tojghali  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.4
Product Version1.3.2cvs 
Target VersionFixed in Version1.3.3.4cvs 
Summary0002222: SVG import failure
DescriptionSVG images from the open clipart libary with features such as transparencies and grandients often come out wrong.
Steps To ReproduceDownload open clipart or file attached
open file in scribus
look at image
TagsNo tags attached.
Patch

Relationships

related to 0003847 closedjghali Radial Gradients in SVG do not import correctly 
child of 0002931 acknowledged Metabug: SVG 

Activities

2005-07-11 10:10

 

gentoo.svg (12,872 bytes)

plinnell

2005-07-11 10:17

viewer   ~0005503

tested also saving as "plain" SVG from inkscape 0.41.

KSVG and Batik render it correctly with no error messages.

ringerc

2005-07-11 12:11

reporter   ~0005512

I get a bad PDF from this.

xpdf says:

[craig@albert tmp]$ xpdf svg_errors_evince.png
Error: May not be a PDF file (continuing anyway)
Error (0): PDF file is damaged - attempting to reconstruct xref table...
Error: Couldn't find trailer dictionary
Error: Couldn't read xref table

and acroread just crashes (but I'm on FC4, and acroread is a little funny on FC4 anyway).

[craig@albert tmp]$ pdfinfo svg_errors.pdf
Error (0): PDF file is damaged - attempting to reconstruct xref table...
Title:
Keywords:
Author:
Creator: Scribus 1.3.0cvs
Producer: Libpdf for Scribus 1.3.0cvs
CreationDate: Mon Jul 11 22:08:00 2005
ModDate: Mon Jul 11 22:08:00 2005
Tagged: no
Pages: 1
Encrypted: no
Page size: 595.28 x 841.89 pts (A4)
File size: 41332 bytes
Optimized: no
PDF version: 1.4

Evince can display the PDF, but does so incorrectly. Screenshot attached, along with the PDF and a screenshot of the display in Scribus.

2005-07-11 12:12

 

svg_errors.pdf (41,332 bytes)

2005-07-11 12:12

 

svg_errors_evince.png (59,301 bytes)
svg_errors_evince.png (59,301 bytes)

2005-07-11 12:13

 

display_in_scribus13.png (45,011 bytes)
display_in_scribus13.png (45,011 bytes)

plinnell

2005-10-02 21:12

viewer   ~0006863

bumping

Issue History

Date Modified Username Field Change
2005-07-11 10:10 DoctorMO New Issue
2005-07-11 10:10 DoctorMO File Added: gentoo.svg
2005-07-11 10:17 plinnell Note Added: 0005503
2005-07-11 10:17 plinnell Assigned To => fschmid
2005-07-11 10:17 plinnell Status new => confirmed
2005-07-11 12:11 ringerc Note Added: 0005512
2005-07-11 12:12 ringerc File Added: svg_errors.pdf
2005-07-11 12:12 ringerc File Added: svg_errors_evince.png
2005-07-11 12:13 ringerc File Added: display_in_scribus13.png
2005-10-02 21:12 plinnell Note Added: 0006863
2005-10-02 21:12 plinnell Product Version 1.3.1cvs => 1.3.2cvs
2006-05-17 19:16 christoph_s Relationship added child of 0002931
2006-09-03 23:39 plinnell Assigned To fschmid => jghali
2006-09-03 23:39 plinnell Status confirmed => resolved
2006-09-03 23:39 plinnell Resolution open => fixed
2006-09-03 23:39 plinnell Fixed in Version => 1.3.3.4cvs
2006-09-03 23:40 jghali Status resolved => assigned
2006-09-03 23:40 plinnell Status assigned => resolved
2006-09-03 23:40 plinnell Relationship added related to 0003847
2006-09-04 11:22 plinnell Status resolved => closed